#! /bin/sh

# Re-assemble an nfi-file as unpacked by ripimage.py

if [ $# -ne 2 ]; then
    1>&2 echo "Usage: $0 new-nfi directory"
    exit 1
fi

file=$1;
dir=$2

./mkfs.jffs2 "--root=$dir/boot" --faketime "--output=$dir/boot.jffs2" --eraseblock=0x4000 -n -l
./mkfs.jffs2 "--root=$dir/root" --faketime "--output=$dir/root.jffs2" --eraseblock=0x4000 -n -l
./buildimage "$dir/secondstage.gz" "$dir/boot.jffs2" "$dir/root.jffs2" dm7025 > "$file"

rm "$dir/boot.jffs2"
rm "$dir/root.jffs2"
